from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class PaymentsConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "payments"
    verbose_name = _("payments")
    icon = "fa fa-solid fa-wallet"
    priority = 87
    hide = False

    def ready(self) -> None:
        import payments.signals  # noqa: F401
